import { __exports as settings } from '../../../../../../../_virtual/settings3.mjs';
import './adapters/fs.mjs';
import { __exports as fs$1 } from '../../../../../../../_virtual/fs2.mjs';

Object.defineProperty(settings, "__esModule", {
  value: true
});
const fs = fs$1;
class Settings {
  constructor(_options = {}) {
    this._options = _options;
    this.followSymbolicLink = this._getValue(this._options.followSymbolicLink, true);
    this.fs = fs.createFileSystemAdapter(this._options.fs);
    this.markSymbolicLink = this._getValue(this._options.markSymbolicLink, false);
    this.throwErrorOnBrokenSymbolicLink = this._getValue(this._options.throwErrorOnBrokenSymbolicLink, true);
  }
  _getValue(option, value) {
    return option !== null && option !== void 0 ? option : value;
  }
}
settings.default = Settings;
